Page MenuHomePhabricator

Get WikibaseMediaInfo to the state that we're happy to proceed with initial production deployment (captions)
Closed, ResolvedPublic

Description

This is the top-level product/design/code readiness ticket for the MediaInfo code itself providing structured data for Commons, and though that necessarily depends on other work, that is tracked elsewhere.

For the initial production deployment, we will be providing the facility to view and edit multi-lingual captions for all File: namespace pages. This means that they should render

Related Objects

Event Timeline

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Oct 17 2018, 5:15 PM
Ramsey-WMF triaged this task as High priority.
Jdforrester-WMF added a comment.EditedNov 16 2018, 7:44 PM

[Updated] Summary of the world as I understand it as of 2018-12-05Z19:00:

Blockers

These are tasks which block deployment of file captions, as determined by @Ramsey-WMF:

… being done

… stalled or under discussion

… putatively done, awaiting sign-off:

Immediate priorities

These are tasks which do not block deployment, but are our immediate priorities:

Does this sound right? Are all the blockers still blockers? Are all the proposed blockers accepted? What's missing?

Ramsey-WMF closed this task as Resolved.Jan 9 2019, 11:02 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: matthiasmullie.

Ready to go, pending confirmation by @matthiasmullie on T213354